Package Details: selinux-usr-libselinux-old 1.34.15-1

Package Base: selinux-usr-libselinux-old
Description: SELinux userspace (libselinux including python bindings) compatabile with CentOS 5.4
Upstream URL: http://userspace.selinuxproject.org
Category: system
Licenses: GPL
Submitter: bostonvaulter
Maintainer: bostonvaulter
Last Packager: None
Votes: 2
First Submitted: 2010-07-16 20:17
Last Updated: 2010-07-16 20:17

Latest Comments

Comment by iorbitearth

2014-09-30 22:26

The source release has moved to github. Additionally, pywrap fails during the build process, as described in my previous comments. Here's a patch file that takes care of both issues:

--- PKGBUILD.orig 2012-10-27 09:55:31.000000000 -0700
+++ PKGBUILD.new 2014-09-30 15:22:21.706283465 -0700
@@ -14,7 +14,7 @@
depends=('selinux-usr-libsepol-old>=1.16.14')
conflicts=('selinux-usr-libselinux-python')
options=(!emptydirs)
-source=(http://userspace.selinuxproject.org/releases/${_release}/stable/${_origname}-${pkgver}.tar.gz)
+source=(https://raw.githubusercontent.com/wiki/SELinuxProject/selinux/files/releases/${_release}/stable/${_origname}-${pkgver}.tar.gz)
md5sums=('f60bc5d07e41ac47ef4577bdb099fab0')
·
build() {
@@ -23,7 +23,7 @@
make DESTDIR=${pkgdir} install
·
# Build python wrapper, which is needed for semanage tool
- make pywrap || return 1
+ make pywrap PYLIBVER=python2.7 || return 1
make DESTDIR="${pkgdir}" install-pywrap
·
}

Comment by iorbitearth

2014-06-05 19:38

The build failure can be fixed with this patch:

--- PKGBUILD.orig 2014-06-05 12:27:41.368656905 -0700
+++ PKGBUILD 2014-06-05 12:28:54.928738007 -0700
@@ -23,7 +23,7 @@
make DESTDIR=${pkgdir} install

# Build python wrapper, which is needed for semanage tool
- make pywrap || return 1
+ make pywrap PYLIBVER=python2.7 || return 1
make DESTDIR="${pkgdir}" install-pywrap

}

Comment by iorbitearth

2014-05-08 01:29

The build fails due to python build dependency:

make -C src pywrap
make[1]: Entering directory '/tmp/packerbuild-0/selinux-usr-libselinux-old/selinux-usr-libselinux-old/src/libselinux-1.34.15/src'
File "<string>", line 1
import sys;print "python%d.%d" % sys.version_info[0:2]
^
SyntaxError: invalid syntax
cc -march=x86-64 -mtune=generic -O2 -pipe -fstack-protector --param=ssp-buffer-size=4 -I../include -I/usr/include -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -I/usr/include/ -fPIC -DSHARED -c -o selinuxswig_wrap.lo selinuxswig_wrap.c
selinuxswig_wrap.c:112:20: fatal error: Python.h: No such file or directory
#include <Python.h>
^
compilation terminated.
Makefile:45: recipe for target 'selinuxswig_wrap.lo' failed
make[1]: *** [selinuxswig_wrap.lo] Error 1
make[1]: Leaving directory '/tmp/packerbuild-0/selinux-usr-libselinux-old/selinux-usr-libselinux-old/src/libselinux-1.34.15/src'
Makefile:6: recipe for target 'pywrap' failed
make: *** [pywrap] Error 2
==> ERROR: A failure occurred in build().
Aborting...
The build failed.